=== examples/webenginequick/CMakeLists.txt ===
qt_internal_add_example(customdialogs)
qt_internal_add_example(lifecycle)
qt_internal_add_example(minimal)
qt_internal_add_example(quicknanobrowser)
qt_internal_add_example(webengineaction)
if(TARGET Qt::QuickControls2)
    qt_internal_add_example(recipebrowser)
endif()
