=== debian/changelog ===
qt6-webengine (6.2.4+dfsg-6ubuntu1) jammy; urgency=medium

  * Reduce memory consumption in chromium build.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Apr 2022 20:33:54 +0100

qt6-webengine (6.2.4+dfsg-6) experimental; urgency=medium

  [ Patrick Franz ]
  * Tweak build options for armhf once more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Apr 2022 15:31:38 +0200

qt6-webengine (6.2.4+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Tweak build options for armhf and i386.

 -- Patrick Franz <deltaone@debian.org>  Sat, 09 Apr 2022 21:45:34 +0200

qt6-webengine (6.2.4+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to reduce debugging info.

 -- Patrick Franz <deltaone@debian.org>  Fri, 08 Apr 2022 21:45:49 +0200

qt6-webengine (6.2.4+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Tweak build options for armhf and i386.

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Apr 2022 21:22:25 +0200

qt6-webengine (6.2.4+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to mitigate CVE-2022-1096 in Chromium.

 -- Patrick Franz <deltaone@debian.org>  Mon, 04 Apr 2022 19:32:12 +0200

qt6-webengine (6.2.4+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update ABI to 6.2.4.
  * Update symbols from buildlogs.
  * Bump minimum version for cmake to 3.19.
  * Re-enable building on i386 and armhf.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Apr 2022 02:30:06 +0200

qt6-webengine (6.2.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Lower minimum version for libicu to 67.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Feb 2022 18:43:10 +0100

qt6-webengine (6.2.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:09:30 +0100

qt6-webengine (6.2.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable building on 32 bit architectures.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Feb 2022 15:39:04 +0100

qt6-webengine (6.2.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix architecture for libqt6webengine6-data.

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Feb 2022 22:21:14 +0100

qt6-webengine (6.2.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to the following architectures:
    amd64 arm64 armhf i386
  * Reduce memory consumption during building on armhf.

 -- Patrick Franz <deltaone@debian.org>  Mon, 31 Jan 2022 20:00:59 +0100

qt6-webengine (6.2.2+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #1000166)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 22:33:38 +0100
