## qt6-webengine 6.2.4+dfsg-6ubuntu1+11.0trisquel5

=== debian/changelog ===
qt6-webengine (6.2.4+dfsg-6ubuntu1+11.0trisquel5) aramo; urgency=medium

  * Removed non-free and prebuilt binaries. Fixes #28287| TPH #196

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 16 Jan 2025 23:47:46 +0000
