=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: qt6-webengine
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: binutils (>= 2.32-8~),
                bison,
@@ -314,4 +314,3 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  Qt WebEngine provides a Web browser engine that makes it easy to embed content
- from the World Wide Web into your Qt application.
