=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 # Reduce memory consumption
 export LDFLAGS+=-Wl,--no-keep-memory
-export NINJAFLAGS = -j2
-export NINJAJOBS = -j2
+export NINJAFLAGS = -j4
+export NINJAJOBS = -j4
 
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
